> For the complete documentation index, see [llms.txt](https://docs.kibotu.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kibotu.ai/documentation/api-reference.md).

# API Reference

## Intro

The Kibotu API is designed to facilitate the ongoing data flow between your game and Kibotu. This API serves as an entry point for accessing Kibotu's personalized assets and allows the creation of relevant segmentation by sending basic user interaction events and querying personalized content based on user and game contexts.

Kibotu provides multiple SDKs for different platforms. Please consult with your account manager before implementing direct API calls.

## API Conventions

#### **Base URL**

The base URL for all API requests is: **`https://api.kibotu.ai`**

#### **Authentication**

For authentication you need to provide an API key. Attach your API Key within the Request headers under the name "Authorization".

API Keys can be generated in the back office console. Alternatively, your account manager can provide you with an API Key.

#### R**equest and Response Formats**

Both request and response formats are JSON-encoded.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kibotu.ai/documentation/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
